> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace by ID

> Retrieve information about workspace

<sup>API Key permissions: View only, Transaction Operator, Full Access</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /workspaces/{workspaceId}
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /workspaces/{workspaceId}:
    get:
      tags:
        - workspaces
      summary: Get Workspace by ID
      description: >-
        Retrieve information about workspace


        <sup>API Key permissions: View only, Transaction Operator, Full
        Access</sup>
      parameters:
        - description: List of comma-separated workspace ids
          in: query
          name: workspaceIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Include workspace settings
          in: query
          name: includeSettings
          required: false
          schema:
            type: boolean
        - in: query
          name: limit
          required: false
          schema:
            format: int64
            type: string
        - in: query
          name: offset
          required: false
          schema:
            format: int64
            type: string
        - in: path
          name: workspaceId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Workspace'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    Workspace:
      properties:
        icon:
          description: >-
            Workspace icon: image path (e.g. 'workspaces/logos/abc.png') or
            'emoji:<utf8>' (e.g. 'emoji:🚀')
          examples:
            - emoji:🚀
          type: string
        name:
          description: Workspace name
          examples:
            - Bron Workspace
          type: string
        tag:
          description: Workspace tag
          examples:
            - bron
          type: string
        workspaceId:
          description: The workspace ID
          examples:
            - 2a0f2m25qyn3cen5hj
          type: string
      required:
        - workspaceId
        - tag
        - name
      type: object

````